LibreOffice: XIndexAccess Interface Reference

LibreOffice LibreOffice 24.8 SDK API Reference

Loading...
Searching...
No Matches
Public Member Functions | List of all members
XIndexAccess Interface Reference

provides access to the elements of a collection through an index. More...

`import <XIndexAccess.idl;`

Inheritance diagram for XIndexAccess:

## Public Member Functions
long | getCount ()
any | getByIndex ([in] long Index) raises ( com::sun::star::lang::IndexOutOfBoundsException, com::sun::star::lang::WrappedTargetException )
Public Member Functions inherited from XElementAccess
type | getElementType ()
boolean | hasElements ()
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.

## Detailed Description

provides access to the elements of a collection through an index.

This interface should only be used if the data structure, itself, is indexed.

Developers Guide
  Professional UNO - Collections and Containers

## Member Function Documentation

## ◆ getByIndex()

any getByIndex | ( | [in] long | Index | ) |
raises | ( | com::sun::star::lang::IndexOutOfBoundsException,
|  | com::sun::star::lang::WrappedTargetException ) |  |  |

Returns
  the element at the specified index.

Parameters

  Index | specifies the position in the array. The first index is 0.

Exceptions

  com::sun::star::lang::IndexOutOfBoundsException | if the index is not valid.
  com::sun::star::lang::WrappedTargetException | If the implementation has internal reasons for exceptions, then wrap these in a com::sun::star::lang::WrappedTargetException exception.

## ◆ getCount()

long getCount | ( |  | ) |

Returns
  the number of elements in this container.

The documentation for this interface was generated from the following files:

- com/sun/star/container/XIndexAccess.idl
- /build/libreoffice-fresh/src/libreoffice-24.8.0.3/odk/docs/idl/generated_idl_chapter_refs.idl